import Vue from 'vue'
import App from './App'
import uView from "uview-ui"
Vue.use(uView)
import {myRequest} from './util/api.js'
Vue.prototype.$myRequest=myRequest


Vue.config.productionTip = false

App.mpType = 'app'

Vue.prototype.$imghost = 'http://www.hnyfwlw.com:8006/projectimg' // 线上图片服务器路径常量
// http://www.hnyfwlw.com:8006/bigdata_app/image/10ca93e17420371a82826073c8425c0.png
Vue.prototype.$appimghost = 'http://www.hnyfwlw.com:8006/bigdata_app'

import {QueryPermission} from './util/QueryPermission.js'
// Vue.use(QueryPermission)
Vue.prototype.$QueryPermission = QueryPermission;

Vue.filter('timeFormat',function(time){
	function fun(a){
		return	String(a).length==1?'0'+a: a
	}
	let date= new Date(time*1000)
	let y=date.getFullYear()
	let m=date.getMonth()+1
	let d=date.getDate()
	let h=date.getHours()
	let min=date.getMinutes()
	let sec=date.getSeconds()
	return `${y}-${fun(m)}-${fun(d)} ${fun(h)}:${fun(min)}:${fun(sec)}`
})

 Vue.prototype.formatTime = function (thistime,fmt = 'yyyy-MM-dd hh:mm:ss') {
        let $this = new Date(thistime)
        let o = {
          'M+': $this.getMonth() + 1,
          'd+': $this.getDate(),
          'h+': $this.getHours(),
          'm+': $this.getMinutes(),
          's+': $this.getSeconds(),
          'q+': Math.floor(($this.getMonth() + 3) / 3),
          'S': $this.getMilliseconds()
        }
        if (/(y+)/.test(fmt)) {
          fmt = fmt.replace(RegExp.$1, ($this.getFullYear() + '').substr(4 - RegExp.$1.length))
        }
        for (var k in o) {
          if (new RegExp('(' + k + ')').test(fmt)) {
            fmt = fmt.replace(RegExp.$1, (RegExp.$1.length === 1) ? (o[k]) : (('00' + o[k]).substr(('' + o[k]).length)))
          }
        }
        return fmt
      }

const app = new Vue({
    ...App
})
app.$mount()
